function out = optDharwadker (ratioX, ratioY)

%%%constants
dir = '/home/vandef1/graphs/dharwadker/';
filenames = { '01__tetrahedron-4.txt', '02__kuratowski-6.txt', '03__octahedron-6.txt', '04__bondy-murty-7.txt', '05__wheel-8.txt', '06__cube-8.txt', '07__petersen-10.txt', '08__bondy-murty-11.txt', '09__groetzsch-11.txt', '10__herschel-11.txt', '11__icosahedron-12.txt', '12__bondy-murty-14.txt', '13__bondy-murty-16.txt', '14__ramsey-17.txt', '15__folkman-20.txt', '16__dodecahedron-20.txt', '17__tutte-coxeter-30.txt', '18__thomassen-20.txt', '19__berge-60.txt', '20__witzel-450.txt' };
vertices = { 4, 6, 6, 7, 8, 8, 10, 11, 11, 11, 12, 14, 16, 17, 20, 20, 30, 34, 60, 450 };

%%%validation
if ratioX < 0 || ratioX > 1
    error('ratioX out of range');
end
if ratioY < 0 || ratioY > 1
    error('ratioY out of range');
end
if ratioX > ratioY
    error('invalid ratios')
end

out = cell(1,length(filenames));

%%%loop-da-loop
for i=1:length(filenames)
    n = vertices{i};
    epochX = ceil(n*ratioX);
    epochY = ceil(n*ratioY);
    problemFile = [ dir filenames{i} ];
    out{i} = [ struct('key','epochX','value',num2str(epochX)) struct('key','epochY','value',num2str(epochY)) struct('key','problemFile','value',problemFile) ];
end

end
